curl "https://api.magpipe.ai/functions/v1/manage-skills?agent_id=YOUR_AGENT_ID" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"agent_skills": [
{
"id": "7a99a0af-...",
"agent_id": "7f806f26-...",
"is_enabled": true,
"config": {
"keywords": ["AI voice agent", "magpipe"],
"platforms": ["reddit", "hackernews", "x", "linkedin", "google"]
},
"trigger_type": "schedule",
"delivery_channels": [
{ "channel": "slack", "channel_name": "#general" }
],
"execution_count": 5,
"skill_definitions": {
"slug": "social_media_monitoring",
"name": "Social Media Monitoring"
}
}
]
}
Skills
List Agent Skills
List skills enabled for a specific agent
GET
/
manage-skills
curl "https://api.magpipe.ai/functions/v1/manage-skills?agent_id=YOUR_AGENT_ID" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"agent_skills": [
{
"id": "7a99a0af-...",
"agent_id": "7f806f26-...",
"is_enabled": true,
"config": {
"keywords": ["AI voice agent", "magpipe"],
"platforms": ["reddit", "hackernews", "x", "linkedin", "google"]
},
"trigger_type": "schedule",
"delivery_channels": [
{ "channel": "slack", "channel_name": "#general" }
],
"execution_count": 5,
"skill_definitions": {
"slug": "social_media_monitoring",
"name": "Social Media Monitoring"
}
}
]
}
Retrieve all skills configured for an agent, including their configuration and status.
Query Parameters
The agent ID to list skills for.
Response
Array of agent skill objects with joined skill definition data.
Show Agent Skill
Show Agent Skill
Agent skill ID (UUID)
Agent this skill belongs to
Reference to skill definition
Whether the skill is active
Skill-specific configuration
How the skill fires:
event or scheduleSchedule settings (interval, time, etc.)
Where results are delivered
Total times this skill has executed
ISO timestamp of last execution
Joined skill definition (id, slug, name, description, category, icon)
curl "https://api.magpipe.ai/functions/v1/manage-skills?agent_id=YOUR_AGENT_ID" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"agent_skills": [
{
"id": "7a99a0af-...",
"agent_id": "7f806f26-...",
"is_enabled": true,
"config": {
"keywords": ["AI voice agent", "magpipe"],
"platforms": ["reddit", "hackernews", "x", "linkedin", "google"]
},
"trigger_type": "schedule",
"delivery_channels": [
{ "channel": "slack", "channel_name": "#general" }
],
"execution_count": 5,
"skill_definitions": {
"slug": "social_media_monitoring",
"name": "Social Media Monitoring"
}
}
]
}
⌘I